Foreman - Bug #4227

Override Parameter not saved in Host
01/30/2014 04:57 PM - Yama Kasi

Status: Duplicate
Priority: High
Assignee:

Category: Host creation

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

When you have a host and want to override a Class Parameter and submit it it's not saved.

If you edit this parameter, Submit it and go back to edit, the set parameter is gone and set back to the list of possible overrides.

Related issues:
Related to Foreman - Bug #4234: Cannot edit host's puppet parameters Closed 02/03/2014

History

#1 - 01/30/2014 05:01 PM - Dominic Cleal
- translation missing: en.field_release deleted (2)

- Difficulty deleted (easy)

#2 - 01/30/2014 05:38 PM - Greg Sutcliffe

- Status changed from New to Need more information

| can't replicate this - | can override default class parameters at the host level with no issues. Can you provide more information please? Are you
using validators on the class parameter? Do you have any logs showing errors on save?

#3 - 01/30/2014 07:23 PM - Yama Kasi
| don't see errors on saving, a 302, but this should be OK.

My validators are emtpy and | have seen this same issue on 1.3.2 on the puppetclasses itself, this is fixed in 1.4. On 1.3.2 host overrides were
working, but not anymore on 1.4.

So it seems that the issue has moved.

#4 - 02/02/2014 11:55 AM - Yama Kasi

| have found out that Global Paramaters (manually) created for a group are saved.

#5 - 02/02/2014 04:45 PM - Yama Kasi

| have checked the following:

It seems that override paramaters (from a group or not) are not inserted into the database following the PgSQL logs.
A global parameter is inserted or updated following the pgSQL logs.

#6 - 02/03/2014 09:19 AM - Dominic Cleal

Please provide debug logs when updating the host: http:/projects.theforeman.org/projects/foreman/wiki/Troubleshooting#How-do-I-enable-debugging

Not setting the release - that's indicative of the version it's been fixed in.

#7 - 02/03/2014 02:27 PM - Yama Kasi

- File override_host_param_production.txt added
http://projects.theforeman.org/projects/foreman/wiki/Troubleshooting#How-do-I-enable-debugging

| have added a log when | submit a override, | know how to enable debugging ;)

#8 - 02/04/2014 12:19 AM - Yama Kasi

OK, I have checked everything double and am not able to see where this goes wrong.

It's a bug fore sure, we just need to debug out where and why it exists.

#9 - 02/04/2014 02:45 PM - Yama Kasi

- File Production_2.txt added

Hereby a new log with full logging after my reinstall of the foreman package.

This log only contains a submit of override paramater that was already filled in on a host but not saved/set yet.
#10 - 02/05/2014 08:55 AM - Yama Kasi

Is here still more information needed ?

FM is useless here at the moment.

#11 - 02/05/2014 09:16 AM - Dominic Cleal
- Related to Bug #4234: Cannot edit host's puppet parameters added

#12 - 02/05/2014 09:28 AM - Dominic Cleal

- Status changed from Need more information to New

| suspect this might be #4234, since | see in the debug log:

\fl1\b \cf3 LookupValue Exists (1.0ms)

\f0\b0 \cf0 SELECT 1 AS one FROM "lookup_values" WHERE ("lookup_values"."match" = 'fgdn=mysqgl-01' AND "looku
p_values"."lookup_key_id" = 742) LIMIT 1\

\f1\b \cf3 LookupValue Load (0.8ms)

\f0\b0 \cf0 SELECT "lookup_values".* FROM "lookup_values" WHERE "lookup_values"."match" = 'fgdn=mysgl-01.dom

ain.local'\

The lookup should always be for the FQDN, not the shortname.

It would only affect fully-managed hosts, due to a separate domain being set.

#13 - 02/05/2014 09:36 AM - Yama Kasi

That is very right Dominic, | have seen the same that fqdn's were not saved well and | wondered why.

When you clone a host now the fqdn is not taken over as before and the name of the host is empty. It might be a good idea to have this autofilled
again.

| have just tested this with full fqgdn and it's fixed.

Thanks a lot!!

#14 - 02/05/2014 10:08 AM - Yama Kasi

Some additional information:

When you set the fqdn on a host, that didn't save the puppet parameters, the paramater is saved but still available for override.
In this situation the fqdn in the "name field" is set back to the hostname only.

When you want to override an extra (add one) paramater and don't set the full fgdn in the name of the host again, the override parameter that already
existed is "copied" with an empty scope and name an value of the existed one.

When you add an extra override paramater and also set the fdgn in the name, everything is saved fine.

#15 - 02/05/2014 10:56 AM - Dominic Cleal

- Status changed from New to Duplicate

Yama Kasi wrote:

05/19/2024 2/3


https://projects.theforeman.org/issues/4234

That is very right Dominic, | have seen the same that fqdn's were not saved well and | wondered why.

When you clone a host now the fqdn is not taken over as before and the name of the host is empty. It might be a good idea to have this autofilled
again.

That was a deliberate change in #3136 - the old hostname is shown in the title if you need it.

| have just tested this with full fqdn and it's fixed.

Okay, thanks. I'l mark this as a duplicate so we have just one ticket, and we'll continue fixing this in #4234.

Files
override_host_param_production.txt 5.7 KB 02/03/2014 Yama Kasi
Production_2.txt 115 KB 02/04/2014 Yama Kasi
